Beddelka Soo Gelida
La jaanqaadi karoWaxay la shaqaysaa OpenAI iyo SDK-yada Anthropic. Kaliya beddel URL-ka aasaasiga ah.
Dhammaan luqadaha waa siman yihiin. Dooro midka aad rabto inaad ka dhex dhex gasho
OpenAI & Anthropic ku habboon AI API oo leh wicitaan shaqo, goob raadin, iyo wax soo saar habaysan.
Wax kasta oo aad u baahan tahay si aad ugu soo rarto Shannon's OpenAI iyo API ku habboon Anthropic.
https://api.shannon-ai.com/v1/chat/completions Adeegso Chat Completions API oo leh wacitaanka shaqada iyo qulqulka
https://api.shannon-ai.com/v1/messages Farriimaha Claude oo leh qalab iyo madax nooca nooca anthropic.
Oggolaanshaha: Qaade <furahaaga> Ama X-API-Key oo wata nooca anthropic-ka ee wicitaanada qaabka Claude.
Dukumentiyada dadweynaha - Furaha ayaa loo baahan yahay in la waco Socodka, wicitaanka shaqada, wax soo saarka habaysan, raadinta shabakadda.
Beddelka ku-meel-gaadhka ah ee OpenAI iyo Anthropic API-yada oo leh taageerada hooyo ee agabka, wax soo saarka habaysan, iyo goob-raadinta shabakadda.
Waxay la shaqaysaa OpenAI iyo SDK-yada Anthropic. Kaliya beddel URL-ka aasaasiga ah.
Qeex qalabka, Shannon ha u yeedho. Waxay taageertaa auto, qasab, iyo midna habab.
Raadinta mareegta-waqtiga dhabta ah oo leh xigashooyin ilo. Si toos ah ayaa loo heli karaa
Habka JSON iyo JSON Qorshaha fulinta ee soo saarista xogta la isku halayn karo.
Wareegyo fulin shaqo oo toos ah Ilaa 10 ku celcelin codsi kasta
Dhacdooyinka loo soo diray Server-ka ee wakhtiga-dhabta ah ee tokenka
Ku bilow saddex tallaabo. Shannon muraayadaha OpenAI iyo macaamiisha Anthropic.
Isticmaal barta dhamaadka ku habboon ee OpenAI.
https://api.shannon-ai.com/v1/chat/completions Ku isticmaal warqadda aqoonsiga ee madaxa Oggolaanshaha.
Dooro luqad oo ku beddel furahaaga.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'system', content: 'You are a helpful assistant.' },
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-1.6-lite",
Messages: []openai.ChatCompletionMessage{
{Role: "system", Content: "You are a helpful assistant."},
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-1.6-lite",
"messages": [
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' {
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1234567890,
"model": "Shannon 1.6 Lite",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 25,
"completion_tokens": 18,
"total_tokens": 43
}
} Tijaabi Shannon API si toos ah browserkaaga. Dhis codsigaaga, socodsii, oo arag jawaabta wakhtiga dhabta ah.
Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.
Run real requests, inspect raw JSON, and view stream events from the same operator console.
Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.
/so/docs/playground The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.
Dhammaan codsiyada API waxay u baahan yihiin xaqiijin iyadoo la isticmaalayo furahaaga Shannon API.
Authorization: Bearer YOUR_API_KEY X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01 Shannon waxay bixisaa noocyo badan oo loo habeeyay kiisaska isticmaalka kala duwan.
shannon-1.6-lite Shannon 1.6 Lite Jawaabaha degdega ah, hufan ee hawlaha maalinlaha ah
shannon-1.6-pro Shannon 1.6 Pro Sababta sare ee dhibaatooyinka adag
shannon-2-lite Shannon 2 Lite
shannon-2-pro Shannon 2 Pro
shannon-coder-1 Shannon Coder Lagu hagaajiyay Claude Code CLI oo leh qoondo ku salaysan wac
Qeex qalabka ay Shannon wici karto si ay u qabato ficilada ama u soo ceshato macluumaadka.
from openai import OpenAI
import json
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Define available tools/functions
tools = [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "Get current weather for a location",
"parameters": {
"type": "object",
"properties": {
"location": {
"type": "string",
"description": "City name, e.g., 'Tokyo'"
},
"unit": {
"type": "string",
"enum": ["celsius", "fahrenheit"]
}
},
"required": ["location"]
}
}
}
]
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
tools=tools,
tool_choice="auto"
)
# Check if model wants to call a function
if response.choices[0].message.tool_calls:
tool_call = response.choices[0].message.tool_calls[0]
print(f"Function: {tool_call.function.name}")
print(f"Arguments: {tool_call.function.arguments}") import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const tools = [
{
type: 'function',
function: {
name: 'get_weather',
description: 'Get current weather for a location',
parameters: {
type: 'object',
properties: {
location: { type: 'string', description: "City name" },
unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
},
required: ['location']
}
}
}
];
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
tools,
tool_choice: 'auto'
});
if (response.choices[0].message.tool_calls) {
const toolCall = response.choices[0].message.tool_calls[0];
console.log('Function:', toolCall.function.name);
console.log('Arguments:', toolCall.function.arguments);
} "auto" Qaabka ayaa go'aamiya in la wacayo hawl (default) "none" Dami shaqada wacitaanka codsigan {"type": "function", "function": {"name": "..."}} Ku qasbi wicitaan hawleed gaar ah {
"id": "chatcmpl-xyz",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": null,
"tool_calls": [
{
"id": "call_abc123",
"type": "function",
"function": {
"name": "get_weather",
"arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
}
}
]
},
"finish_reason": "tool_calls"
}
]
} Ku qas Shannon inay kaga jawaabto JSON sax ah oo ku habboon qorshahaaga.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Force JSON output with schema
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
],
response_format={
"type": "json_schema",
"json_schema": {
"name": "person_info",
"schema": {
"type": "object",
"properties": {
"name": {"type": "string"},
"age": {"type": "integer"},
"occupation": {"type": "string"}
},
"required": ["name", "age", "occupation"]
}
}
}
)
import json
data = json.loads(response.choices[0].message.content)
print(data) # {"name": "John Doe", "age": 30, "occupation": "engineer"} import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
],
response_format: {
type: 'json_schema',
json_schema: {
name: 'person_info',
schema: {
type: 'object',
properties: {
name: { type: 'string' },
age: { type: 'integer' },
occupation: { type: 'string' }
},
required: ['name', 'age', 'occupation']
}
}
}
});
const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" } {"type": "json_object"} Xooga saara JSON sax ah (ma jiro qorshe gaar ah) {"type": "json_schema", "json_schema": {...}} Ku qas wax soo saarka ee ku habboon qorshahaaga saxda ah Ku suurtageli baahinta summada-waqtiga-dhabta ah ee dhacdooyinka Server-la diray ee UI-yada ka jawaaba.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Enable streaming for real-time responses
stream = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Write a short poem about AI"}
],
stream=True
)
for chunk in stream:
if chunk.choices[0].delta.content:
print(chunk.choices[0].delta.content, end="", flush=True) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Write a short poem about AI' }
],
stream: true
});
for await (const chunk of stream) {
const content = chunk.choices[0]?.delta?.content;
if (content) process.stdout.write(content);
} Shannon waxaa ku jira shaqo_raadinta shabakad ku dhex dhisan oo si toos ah loo heli karo.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Web search is automatically available!
# Shannon will use it when needed for current information
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "What are the latest AI news today?"}
],
# Optionally, explicitly define web_search tool
tools=[{
"type": "function",
"function": {
"name": "web_search",
"description": "Search the web for current information",
"parameters": {
"type": "object",
"properties": {
"query": {"type": "string", "description": "Search query"}
},
"required": ["query"]
}
}
}]
)
print(response.choices[0].message.content)
# Response includes sources and citations import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Web search is automatically available!
// Shannon will use it when needed for current information
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'What are the latest AI news today?' }
],
// Optionally, explicitly define web_search tool
tools: [{
type: 'function',
function: {
name: 'web_search',
description: 'Search the web for current information',
parameters: {
type: 'object',
properties: {
query: { type: 'string', description: 'Search query' }
},
required: ['query']
}
}
}]
});
console.log(response.choices[0].message.content);
// Response includes sources and citations Shannon sidoo kale waxay taageertaa qaabka Farriimaha Anthropic ee API.
https://api.shannon-ai.com/v1/messages import anthropic
client = anthropic.Anthropic(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/messages"
)
response = client.messages.create(
model="shannon-1.6-lite",
max_tokens=1024,
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
# Tool use (Anthropic format)
tools=[{
"name": "web_search",
"description": "Search the web",
"input_schema": {
"type": "object",
"properties": {
"query": {"type": "string"}
},
"required": ["query"]
}
}]
)
print(response.content[0].text) import Anthropic from '@anthropic-ai/sdk';
const client = new Anthropic({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/messages'
});
const response = await client.messages.create({
model: 'shannon-1.6-lite',
max_tokens: 1024,
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
// Tool use (Anthropic format)
tools: [{
name: 'web_search',
description: 'Search the web',
input_schema: {
type: 'object',
properties: {
query: { type: 'string' }
},
required: ['query']
}
}]
});
console.log(response.content[0].text); Isticmaal SDK kasta oo furan AI ama Anthropic - kaliya beddel URL-ka saldhigga ah.
OpenAI Python SDK ee rasmiga ah - waxay la shaqeysaa Shannon
pip install openai Rasmiga ah OpenAI Node.js SDK - wuxuu la shaqeeyaa Shannon
npm install openai Community Go macmiilka APIs ku habboon OpenAI
go get github.com/sashabaranov/go-openai Beesha Ruby macmiilka ee API-yada ku habboon OpenAI
gem install ruby-openai Macmiilka bulshada ee PHP ee API-yada ku habboon OpenAI
composer require openai-php/client Macmiilka Async Rust ee API-yada ku habboon OpenAI
cargo add async-openai Python SDK-ga rasmiga ah ee Anthropic - wuxuu la shaqeeyaa Shannon
pip install anthropic Nooca rasmiga ah ee Anthropic TypeScript SDK - wuxuu la shaqeeyaa Shannon
npm install @anthropic-ai/sdk Shannon waxay isticmaashaa summada heerka HTTP waxayna soo celisaa farriimaha khaladka oo faahfaahsan.
{
"error": {
"message": "Invalid API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
} Cusbooneysiinta iyo hagaajinta dhow ee Shannon API.
YOUR_API_KEY Ilaali sirta muhiimka ah ee API Dib-u-soo-nooleynta waxay abuurtaa fure cusub waxayna burinaysaa kii hore.
Ka eeg calaamada iyo isticmaalka ka raadi boggan markaad gasho akoonkaaga
Kootada ku salaysan wac ee Shannon Coder (shannon-coder-1). Dib u habeeya 4tii saacba.
Hel furaha API oo ku bilow Shannon AI maanta.
Raadinta caanka ah: